EUrouter

Keys

API key management

OpenAPI JSON

List API keys

GET
/api/v1/keys

Authorization

bearerAuth
AuthorizationBearer <token>

API key in format: eur_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx

In: header

Query Parameters

offset?integer

Number of keys to skip for pagination

Range0 <= value <= 9007199254740991
include_disabled?boolean

Whether to include disabled keys in the response

workspace_id?string

Filter API keys by workspace ID. Omit to list all accessible keys; when set, account-wide (unscoped) keys are also included.

Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid

Response Body

application/json

curl -X GET "https://api.eurouter.ai/api/v1/keys"
{
  "data": [
    {
      "name": "string",
      "label": "string",
      "type": "inference",
      "limit": 0,
      "limit_remaining": 0,
      "limit_reset": "daily",
      "include_byok_in_limit": true,
      "usage": 0,
      "usage_daily": 0,
      "usage_weekly": 0,
      "usage_monthly": 0,
      "byok_usage": 0,
      "byok_usage_daily": 0,
      "byok_usage_weekly": 0,
      "byok_usage_monthly": 0,
      "disabled": true,
      "created_at": "string",
      "updated_at": "string",
      "last_used": "string",
      "hash": "string",
      "org_id": "a40f5d1f-d889-42e9-94ea-b9b33585fc6b",
      "workspace_id": "0967198e-ec7b-4c6b-b4d3-f71244cadbe9",
      "created_by_user_id": "string"
    }
  ]
}

Create API key

POST
/api/v1/keys

Authorization

bearerAuth
AuthorizationBearer <token>

API key in format: eur_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://api.eurouter.ai/api/v1/keys" \  -H "Content-Type: application/json" \  -d '{    "name": "string"  }'
{
  "data": {
    "name": "string",
    "label": "string",
    "type": "inference",
    "limit": 0,
    "limit_remaining": 0,
    "limit_reset": "daily",
    "include_byok_in_limit": true,
    "usage": 0,
    "usage_daily": 0,
    "usage_weekly": 0,
    "usage_monthly": 0,
    "byok_usage": 0,
    "byok_usage_daily": 0,
    "byok_usage_weekly": 0,
    "byok_usage_monthly": 0,
    "disabled": true,
    "created_at": "string",
    "updated_at": "string",
    "last_used": "string",
    "hash": "string",
    "org_id": "a40f5d1f-d889-42e9-94ea-b9b33585fc6b",
    "workspace_id": "0967198e-ec7b-4c6b-b4d3-f71244cadbe9",
    "created_by_user_id": "string"
  },
  "key": "string"
}

Get API key

GET
/api/v1/keys/{hash}

Authorization

bearerAuth
AuthorizationBearer <token>

API key in format: eur_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx

In: header

Path Parameters

hash*string

Public identifier of the API key

Response Body

application/json

curl -X GET "https://api.eurouter.ai/api/v1/keys/string"
{
  "data": {
    "name": "string",
    "label": "string",
    "type": "inference",
    "limit": 0,
    "limit_remaining": 0,
    "limit_reset": "daily",
    "include_byok_in_limit": true,
    "usage": 0,
    "usage_daily": 0,
    "usage_weekly": 0,
    "usage_monthly": 0,
    "byok_usage": 0,
    "byok_usage_daily": 0,
    "byok_usage_weekly": 0,
    "byok_usage_monthly": 0,
    "disabled": true,
    "created_at": "string",
    "updated_at": "string",
    "last_used": "string",
    "hash": "string",
    "org_id": "a40f5d1f-d889-42e9-94ea-b9b33585fc6b",
    "workspace_id": "0967198e-ec7b-4c6b-b4d3-f71244cadbe9",
    "created_by_user_id": "string"
  }
}

Delete API key

DELETE
/api/v1/keys/{hash}

Authorization

bearerAuth
AuthorizationBearer <token>

API key in format: eur_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx

In: header

Path Parameters

hash*string

Public identifier of the API key

Response Body

application/json

curl -X DELETE "https://api.eurouter.ai/api/v1/keys/string"
{
  "data": {
    "success": true
  }
}

Get current API key

GET
/api/v1/key

Authorization

bearerAuth
AuthorizationBearer <token>

API key in format: eur_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx

In: header

Response Body

application/json

curl -X GET "https://api.eurouter.ai/api/v1/key"
{
  "data": {
    "name": "string",
    "label": "string",
    "type": "inference",
    "limit": 0,
    "limit_remaining": 0,
    "limit_reset": "daily",
    "include_byok_in_limit": true,
    "usage": 0,
    "usage_daily": 0,
    "usage_weekly": 0,
    "usage_monthly": 0,
    "byok_usage": 0,
    "byok_usage_daily": 0,
    "byok_usage_weekly": 0,
    "byok_usage_monthly": 0,
    "disabled": true,
    "created_at": "string",
    "updated_at": "string",
    "last_used": "string",
    "hash": "string",
    "org_id": "a40f5d1f-d889-42e9-94ea-b9b33585fc6b",
    "workspace_id": "0967198e-ec7b-4c6b-b4d3-f71244cadbe9",
    "created_by_user_id": "string"
  }
}

Was this page helpful?

Still stuck? Contact support